<bugID>57420<Summary>no support for helper app command line args</Summary><Description>(Using M18 on Linux (buildid 2000101805) but I would guess this is XP)

It is impossible to set a commandline argument to a helper application. For
example, the linux mp3 player xmms takes a "-e" argument to "enqueue" the
argument (add it to an already playing playlist) versus playing it immediately
(replacing the current playlist). With Mozilla, it is impossible to configure
xmms as a helper application with this flag enabled.

Steps to reproduce:
Click on a link that returns an unknown content-type (eg audio/mpegurl)
Attempt to enter "/usr/X11R6/bin/xmms -e" as the command

Expected results:
Entering this is possible, and runs xmms with the arguments "-e" "tmpfilename"

Actual results:
The text editing box is greyed out; it is only possible to browse to
applications, so the "-e" cannot even be entered.



The same bug manifests itself in a different way in the preferences dialog:

Edit &gt; Preferences &gt; Helper Applications &gt; New
Set an appropriate description and extension, set the mimetype to audio/mpegurl,
and the action to /usr/X11R6/bin/xmms -e
Ok &gt; Ok
Click on a link with this mimetype
Press Ok to open with "xmms -e"

Expected results: xmms is launched with the arguments "-e" "tmpfilename".
Actual results: nothing apparently happens at all

Presumably Moz is actually looking for a file called "xmms -e" in the
/usr/X11R6/bin directory and trying to run it - this is pure speculation, but
makes sense.

A workaround is to create a script eg /home/$user/bin/xmms-e containing the
following:

#!/bin/bash
xmms -e "$@"

Then configure the helper application to be xmms-e.

This is 4xp because all 4.x versions supported arbitrary command lines for
helper apps: You could enter anything you wanted and %s was replaced by the
temporary filename. The lack of such support makes it impossible to configure
mp3s and m3us to enqueue rather than play, for example, when clicked on.

(note: I'm submitting this as UNCONFIRMED because I've only tested on M18, not
the latest nightlies)</Description></bugID>